/*
 Pilot Display
 
 Copyright (c) 2014 Dmitry Pakhomenko.
 dmitryp@magictale.com
 http://magictale.com
 
 This code is in the public domain.
 */

#ifndef Messages_h
#define Messages_h

const char FIRMWARE_REV[] PROGMEM = "V1.1";
const char FIRMWARE_DATE[] PROGMEM = "28.06.14";
const char PRODUCT_NAME[] PROGMEM = "\r\nPilot Display";
const char COMPANY_URL[] PROGMEM = "    http://magictale.com";
const char FAILURE[] PROGMEM = "FAILURE ";
const char PROGMEM SPACE_CHAR[] = " ";
const char PROGMEM NORM[] = "[N]";
const char PROGMEM ALT[] = "[A]";
const char CONFIG_MODE[] PROGMEM = "Configuration mode, commands available:";
const char USAGE1[] PROGMEM = "g X<CR> where X is brightness for green LEDs, value range is [0...15]";
const char USAGE2[] PROGMEM = "o X<CR> where X is brightness for orange LEDs, value range is [0...15]";
const char USAGE3[] PROGMEM = "r X<CR> where X is brightness for red LEDs, value range is [0...15]";
const char USAGE4[] PROGMEM = "br D<CR> where D is baudrate for serial ports, value range is [1..7]";
const char USAGE5[] PROGMEM = "         for 2400/4800/9600/19200/38400/57600/115200 bps";
const char USAGE6[] PROGMEM = "fr<CR> - resets all parameters back to factory settings";
const char USAGE7[] PROGMEM = "q<CR> - back to normal mode";
const char CMD_PROMT[] PROGMEM = "=>";
const char NORMAL_MODE[] PROGMEM = "\r\nSwitched to normal mode. To apply changes perform power cycle.";
const char EQEQ27[] PROGMEM = "===========================";
const char ARG_OUT_OF_RANGE[] PROGMEM = "\r\nArgument out of range";
const char ERROR[] PROGMEM = "\r\nError";
const char FACTORY_RESET[] PROGMEM = "\r\nFactory reset";
const char BAUDRATE[] PROGMEM = "\r\nBaudrate";
const char BRIGHTNESS[] PROGMEM = "brightness";
const char RED[] PROGMEM = "\r\nRed ";
const char GREEN[] PROGMEM = "\r\nGreen ";
const char ORANGE[] PROGMEM = "\r\nOrange ";
const char CURRENT_SETTINGS[] PROGMEM = "\r\nCurrent settings: ";


#endif

